Skip to main content
GET
/
suppliers
/
{supplier}
Show supplier
curl --request GET \
  --url https://app.fintoro.sk/api/public/v1/suppliers/{supplier} \
  --header 'Authorization: Bearer <token>'
{
  "id": 151,
  "type": "company",
  "name": "Supplier s.r.o.",
  "subjectId": "12345678",
  "taxId": "2020202020",
  "vatId": "SK2020202020",
  "isVatPayer": true,
  "email": "billing@supplier.test",
  "street": "Supplier Street 1",
  "city": "Bratislava",
  "zip": "81101",
  "country": {
    "id": 703,
    "name": "Slovakia",
    "code": "SK",
    "eu": true
  }
}

Authorizations

Authorization
string
header
required

Bearer token created for a specific company in Integrations → API.

Path Parameters

supplier
integer
required

Supplier ID.

Example:

151

Response

Supplier detail.

Supplier in the exact shape returned as a nested object on a business case.

id
integer

Internal supplier ID in Fintoro.

Example:

151

type
string

Supplier type.

Example:

"company"

name
string

Company name or personal name of the supplier.

Example:

"Supplier s.r.o."

subjectId
string | null

Supplier business ID when available.

Example:

"12345678"

taxId
string | null

Supplier tax ID when available.

Example:

"2020202020"

vatId
string | null

Supplier VAT ID when available.

Example:

"SK2020202020"

isVatPayer
boolean

Indicates whether the supplier is currently marked as a VAT payer.

Example:

true

email
string | null

Supplier contact email.

Example:

"billing@supplier.test"

street
string | null

Supplier street and house number.

Example:

"Supplier Street 1"

city
string | null

Supplier city.

Example:

"Bratislava"

zip
string | null

Supplier ZIP code.

Example:

"81101"

country
object

Supplier country as a nested object.